package com.enteprise.util;

import java.util.ArrayList;
import java.util.List;

public class CommonUtil {
    /**
     * 获取两个值之间的所有整数
     * @param start
     * @param end
     * @return
     */
    public static List<Integer> getRange(int start, int end) {
        // 创建一个列表以存储结果
        List<Integer> list = new ArrayList<>();

        // 确定区间的起始和结束值
        int min = Math.min(start, end);
        int max = Math.max(start, end);

        // 使用循环将范围内的所有值添加到列表中
        for (int i = min; i <= max; i++) {
            list.add(i);
        }

        return list;
    }
}
